---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ include "ovenmediaengine.fullname" . }}-viewer
  {{- with .Values.ingress.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  rules:
    {{- range .Values.ingress.hosts.edge }}
    - host: {{ . | quote }}
      http:
        paths: 
          - path: "/"
            pathType: Prefix
            backend:
              service:
                {{- if $.Values.edge.enabled }}
                name: {{ include "ovenmediaengine.fullname" $ }}-edge
                {{- else }}
                name: {{ include "ovenmediaengine.fullname" $ }}-origin
                {{- end }}
                port:
                  name: http-stream
    {{- end }}
